BizKitHub
DocsAPI ReferenceInvoice/bff/document/update-status
postInvoiceAdmin BFF

/bff/document/update-status

Changes the invoice status to the specified value.

InvoicepostBffDocumentUpdate-status

Parameters

JSON body

Request body

application/json
idstringRequired

External invoice ID.

ExampleaB3xKm9pQ2wLn4Yz
status"open" | "sent" | "overdue" | "paid" | "cancelled" | "uncollectible"Required

Invoice status.

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/document/update-status

post
curl -X POST "https://api.bizkithub.com/bff/document/update-status" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "aB3xKm9pQ2wLn4Yz"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key